<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="query" />
<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF6270"
	title	= "ダウンロード"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<form method="GET" action="forward.jsp" target="RESULT" onClick="timeSet();">
<table border="0" frame="border" summary="form" >
<td><table>
<tr>
	<og:input name="fileURL"    value="{@USER.ID}" size="10" />
	<og:input name="filename"   value="test.xls"   size="10" />
	<og:input name="sheetName"  value="GE1"        size="10" />
</tr>
<tr>
	<og:input name="refFileURL"    value=""     size="10" />
	<og:input name="refFilename"   value=""     size="10" />
	<og:input name="refSheetName"  value=""     size="10" />
</tr>
<tr>
	<og:select name="writerClass" lbl="MSG0024">
		<!-- MSG0028.OPT=Default,Fixed,CSV,XML -->
		<!-- MSG0028.LVL=標準,固定長出力,CSV出力,XML -->
		<og:option value="Default"		lbl="MSG0028.DEFAULT" selected="selected" />
		<og:option value="Fixed"		lbl="MSG0028.FIXED"	/>
		<og:option value="CSV"			lbl="CSV"			/>
		<og:option value="CSV2"			lbl="CSV2"			/>
		<og:option value="CSV3"			lbl="CSV3"			/>
		<og:option value="XML"			lbl="XML"			/>
		<og:option value="Excel"		lbl="Excel"			/>
		<og:option value="ExcelRenderer" lbl="ExcelRenderer" />
		<og:option value="Data"			lbl="Data"			/>
		<og:option value="Data2"		lbl="Data2"			/>
		<og:option value="T"			lbl="T"				/>
		<og:option value="Renderer"		lbl="Renderer"		/>
		<og:option value="Properties"	lbl="Properties"	/>
		<og:option value="Calc"			lbl="Calc"			/>
		<og:option value="CalcDef"		lbl="CalcDef"		/>
		<og:option value="CalcDefAno"	lbl="CalcDefAno"	/>

	</og:select>
	<og:select name="encode" lbl="MSG0025">
		<!-- MSG0029.OPT=DEFAULT,MS932,SJIS,JIS,EUC_JP -->
		<og:option value="UnicodeLittle" lbl="UnicodeLittle" selected="selected" />
		<og:option value="MS932"         lbl="MS932"         />
		<og:option value="Windows-31J"   lbl="Windows-31J"   />
		<og:option value="UTF-8"         lbl="UTF-8"         />
		<og:option value="ISO-8859-1"    lbl="ISO-8859-1"    />
		<og:option value="GB2312"        lbl="GB2312"        />
		<og:option value="GB18030"       lbl="GB18030"       />
		<og:option value="Shift_JIS"     lbl="Shift_JIS"     />
		<og:option value="SJIS"          lbl="SJIS"          />
		<og:option value="JIS"           lbl="JIS"           />
		<og:option value="EUC_JP"        lbl="EUC_JP"        />
	</og:select>
	<og:input name="separator" value="&#009;"    lbl="MSG0023" size="10" />
</tr>
<tr>
	<og:select name="fileAppend" lbl="MSG0026">
		<!-- MSG0030.OPT=true,false -->
		<!-- MSG0030.LVL=追加モード,新規モード -->
		<og:option value="true"  lbl="MSG0030.TRUE"   />
		<og:option value="false" lbl="MSG0030.FALSE"  selected="selected" />
	</og:select>
	<og:select name="zip" lbl="MSG0052" >
		<og:option value="true"  lbl="TRUE"  />
		<og:option value="false" lbl="FALSE" selected="selected"  />
	</og:select>
</tr>
<tr>
	<og:input name="fontName"	  size="10" />
	<og:input name="fontPoint"	  size="10" />
	<og:input name="skipRowCount" size="10" />
</tr>
<tr>
	<og:select name="useNumber" lbl="useNumber">
		<og:option value="true"  lbl="TRUE"   selected="selected" />
		<og:option value="false" lbl="FALSE"  />
	</og:select>
	<og:input name="columns" size="50" colspan="5" />
</tr>
<tr>
	<og:select name="useRenderer" lbl="useRenderer">
		<og:option value="true"  lbl="TRUE"   />
		<og:option value="false" lbl="FALSE"  selected="selected" />
	</og:select>
	<og:select name="beforeDelete" lbl="beforeDelete">
		<og:option value="true"  lbl="TRUE"   />
		<og:option value="false" lbl="FALSE"  selected="selected" />
	</og:select>
	<og:select name="useActiveWorkbook" lbl="useActiveWB">
		<og:option value="true"  lbl="TRUE"   />
		<og:option value="false" lbl="FALSE"  selected="selected" />
	</og:select>
</tr>
<tr>
	<og:select name="useCellStyle" lbl="useCellStyle">
		<og:option value="true"  lbl="TRUE"   />
		<og:option value="false" lbl="FALSE"  selected="selected" />
	</og:select>
	<og:select name="useAutoCellSize" lbl="useAutoCellSize">
		<og:option value="true"  lbl="TRUE"   />
		<og:option value="false" lbl="FALSE"  selected="selected" />
	</og:select>
	<og:input name="addTitleSheet" lbl="addTitleSheet"  size="10" />
</tr>
<tr>
	<og:input name="pageBreakColumn" lbl="pageBreakClm"  size="10" />
	<og:input name="fileBreakColumn" lbl="fileBreakClm"  size="10" />
	<og:input name="hyperLinkColumn" lbl="hyperLinkColumn"  size="10" /><td>(KeyClm:ValClm)</td>
</tr>
</table></td>
<td>
<table><tr>
	<og:select name="headerSequence" lbl="MSG0027" size="6" multiple="multiple">
		<og:option value="N" lbl="Name"  selected="selected" />
		<og:option value="L" lbl="Label" selected="selected" />
		<og:option value="S" lbl="Size"                      />
		<og:option value="C" lbl="Class"                     />
		<og:option value="-" lbl="----"  selected="selected" />
		<og:option value="D" lbl="Data"  selected="selected" />
	</og:select>
</tr></table>
</td>
</table>
<og:queryButton />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
